summaryrefslogtreecommitdiff
path: root/tests/phpunit/install-phpunit.sh
diff options
context:
space:
mode:
authorPierre Schmitz <pierre@archlinux.de>2014-03-28 05:41:12 +0100
committerPierre Schmitz <pierre@archlinux.de>2014-03-28 05:41:12 +0100
commit9441dde8bfb95277df073717ed7817dced40f948 (patch)
treeba31c10147e91bda378b77c8cae90c5651af9bfe /tests/phpunit/install-phpunit.sh
parentd417de70fcf39e0a7a15ba780b597914d16ca0f7 (diff)
Update to MediaWiki 1.22.5
Diffstat (limited to 'tests/phpunit/install-phpunit.sh')
-rw-r--r--tests/phpunit/install-phpunit.sh37
1 files changed, 37 insertions, 0 deletions
diff --git a/tests/phpunit/install-phpunit.sh b/tests/phpunit/install-phpunit.sh
new file mode 100644
index 00000000..1f602935
--- /dev/null
+++ b/tests/phpunit/install-phpunit.sh
@@ -0,0 +1,37 @@
+#!/bin/sh
+
+has_binary () {
+ if [ -z `which $1` ]; then
+ return 1
+ fi
+ return 0
+}
+
+if [ `id -u` -ne 0 ]; then
+ echo '*** ERROR: Must be root to run'
+ exit 1
+fi
+
+if ( has_binary phpunit ); then
+ echo PHPUnit already installed
+else if ( has_binary pear ); then
+ echo Installing phpunit with pear
+ pear channel-discover pear.phpunit.de
+ pear channel-discover components.ez.no
+ pear channel-discover pear.symfony.com
+ pear update-channels
+ pear install --alldeps phpunit/PHPUnit
+else if ( has_binary apt-get ); then
+ echo Installing phpunit with apt-get
+ apt-get install phpunit
+else if ( has_binary yum ); then
+ echo Installing phpunit with yum
+ yum install phpunit
+else if ( has_binary port ); then
+ echo Installing phpunit with macports
+ port install php5-unit
+fi
+fi
+fi
+fi
+fi